Skip to content

Switch sign-in methods and the registration mode; one method stays on, and you keep a way in.

PUT
/api/admin/settings
curl --request PUT \
--url https://example.com/api/admin/settings \
--header 'Content-Type: application/json' \
--data '{ "methods": "example", "registration": "example", "proofOfWork": true }'
Media typeapplication/json
object
methods
required
null | object
registration
required
null | string
proofOfWork
null | boolean

Example generated

{
"methods": "example",
"registration": "example",
"proofOfWork": true
}

OK

Media typeapplication/json
object
methods
required
Array<object>
object
id
required
string
name
required
string
configured
required
boolean
on
required
boolean
onlyWayIn
required
integer format: int32
registration
required
string
email
required
boolean
proofOfWork
required
boolean

Example generated

{
"methods": [
{
"id": "example",
"name": "example",
"configured": true,
"on": true,
"onlyWayIn": 1
}
],
"registration": "example",
"email": true,
"proofOfWork": true
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}